import axios from 'axios';
import type { ExamItem, SubjectItem } from './types/base';
// import type { ExamQueryItem } from './types/exam';

// 通用查询
// 通用查询-考试
export function examQuery(): Promise<ExamItem[]> {
  return axios.post('/api/admin/apply/exam/list', {});
}
// 通用查询-科目
export function subjectQuery(examId: number): Promise<SubjectItem[]> {
  return axios.post(
    '/api/admin/apply/subject/list',
    {},
    { params: { examId } }
  );
}
